<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: HostGame Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-slots">Private Slots</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classHostGame-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">HostGame Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="hostgame_8h_source.html">hostgame.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for HostGame:</div>
<div class="dyncontent">
<div class="center"><img src="classHostGame__inherit__graph.png" border="0" usemap="#HostGame_inherit__map" alt="Inheritance graph"/></div>
<map name="HostGame_inherit__map" id="HostGame_inherit__map">
<area shape="rect" title=" " alt="" coords="5,131,216,325"/>
<area shape="rect" title=" " alt="" coords="53,5,169,83"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for HostGame:</div>
<div class="dyncontent">
<div class="center"><img src="classHostGame__coll__graph.png" border="0" usemap="#HostGame_coll__map" alt="Collaboration graph"/></div>
<map name="HostGame_coll__map" id="HostGame_coll__map">
<area shape="rect" title=" " alt="" coords="521,661,731,812"/>
<area shape="rect" href="classMainWindow.html" title=" " alt="" coords="471,919,653,1069"/>
<area shape="rect" title=" " alt="" coords="375,441,491,518"/>
<area shape="rect" href="classLobby.html" title=" " alt="" coords="160,1249,324,1400"/>
<area shape="rect" href="classSettings.html" title=" " alt="" coords="487,1176,720,1473"/>
<area shape="rect" href="classSettingsService.html" title=" " alt="" coords="671,132,831,297"/>
<area shape="rect" href="classGameStateService.html" title=" " alt="" coords="515,360,731,599"/>
<area shape="rect" title=" " alt="" coords="585,5,659,83"/>
<area shape="rect" href="classNetworkService.html" title=" " alt="" coords="5,875,172,1113"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a448e6e2140d7929762edb0962e59c2fe"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHostGame.html#a448e6e2140d7929762edb0962e59c2fe">HostGame</a> (QWidget *parent=nullptr)</td></tr>
<tr class="separator:a448e6e2140d7929762edb0962e59c2fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ee3c5dfaf1aff59908e16805cce3382"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHostGame.html#a8ee3c5dfaf1aff59908e16805cce3382">~HostGame</a> ()</td></tr>
<tr class="separator:a8ee3c5dfaf1aff59908e16805cce3382"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-slots"></a>
Private Slots</h2></td></tr>
<tr class="memitem:a054b815f8e243f37f1f1c8a60498d968"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHostGame.html#a054b815f8e243f37f1f1c8a60498d968">on_pbBack_clicked</a> ()</td></tr>
<tr class="separator:a054b815f8e243f37f1f1c8a60498d968"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd032adc2d16d48f9a4529a94c9dbbce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHostGame.html#acd032adc2d16d48f9a4529a94c9dbbce">on_pushButton_clicked</a> ()</td></tr>
<tr class="separator:acd032adc2d16d48f9a4529a94c9dbbce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05a7c5668a4264ed621a72dd86ee1268"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHostGame.html#a05a7c5668a4264ed621a72dd86ee1268">render</a> ()</td></tr>
<tr class="separator:a05a7c5668a4264ed621a72dd86ee1268"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a4651ec819a2b2f4d90991d780034eda1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGameStateService.html">GameStateService</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHostGame.html#a4651ec819a2b2f4d90991d780034eda1">gameStateService</a></td></tr>
<tr class="separator:a4651ec819a2b2f4d90991d780034eda1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bd3d4afe2a2028499f94caba3289aa6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classSettingsService.html">SettingsService</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHostGame.html#a4bd3d4afe2a2028499f94caba3289aa6">settingsService</a></td></tr>
<tr class="separator:a4bd3d4afe2a2028499f94caba3289aa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32261cf7b9f95c436f2dff224909029c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHostGame.html#a32261cf7b9f95c436f2dff224909029c">m_startGameBtnConnected</a></td></tr>
<tr class="separator:a32261cf7b9f95c436f2dff224909029c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9df8a453c12c3d95ea4087039f4b1e7"><td class="memItemLeft" align="right" valign="top">Ui::HostGame *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHostGame.html#ac9df8a453c12c3d95ea4087039f4b1e7">ui</a></td></tr>
<tr class="separator:ac9df8a453c12c3d95ea4087039f4b1e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbad8cb4cd12a4ac4096e913a86f42d4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classMainWindow.html">MainWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHostGame.html#adbad8cb4cd12a4ac4096e913a86f42d4">mainWindow</a></td></tr>
<tr class="separator:adbad8cb4cd12a4ac4096e913a86f42d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a448e6e2140d7929762edb0962e59c2fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a448e6e2140d7929762edb0962e59c2fe">&#9670;&nbsp;</a></span>HostGame()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HostGame::HostGame </td>
          <td>(</td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8ee3c5dfaf1aff59908e16805cce3382"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ee3c5dfaf1aff59908e16805cce3382">&#9670;&nbsp;</a></span>~HostGame()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HostGame::~HostGame </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a054b815f8e243f37f1f1c8a60498d968"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a054b815f8e243f37f1f1c8a60498d968">&#9670;&nbsp;</a></span>on_pbBack_clicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HostGame::on_pbBack_clicked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acd032adc2d16d48f9a4529a94c9dbbce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd032adc2d16d48f9a4529a94c9dbbce">&#9670;&nbsp;</a></span>on_pushButton_clicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HostGame::on_pushButton_clicked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a05a7c5668a4264ed621a72dd86ee1268"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05a7c5668a4264ed621a72dd86ee1268">&#9670;&nbsp;</a></span>render</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HostGame::render </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a4651ec819a2b2f4d90991d780034eda1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4651ec819a2b2f4d90991d780034eda1">&#9670;&nbsp;</a></span>gameStateService</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGameStateService.html">GameStateService</a>&amp; HostGame::gameStateService</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a32261cf7b9f95c436f2dff224909029c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32261cf7b9f95c436f2dff224909029c">&#9670;&nbsp;</a></span>m_startGameBtnConnected</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool HostGame::m_startGameBtnConnected</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adbad8cb4cd12a4ac4096e913a86f42d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbad8cb4cd12a4ac4096e913a86f42d4">&#9670;&nbsp;</a></span>mainWindow</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classMainWindow.html">MainWindow</a>* HostGame::mainWindow</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4bd3d4afe2a2028499f94caba3289aa6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bd3d4afe2a2028499f94caba3289aa6">&#9670;&nbsp;</a></span>settingsService</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classSettingsService.html">SettingsService</a>&amp; HostGame::settingsService</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac9df8a453c12c3d95ea4087039f4b1e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9df8a453c12c3d95ea4087039f4b1e7">&#9670;&nbsp;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Ui::HostGame* HostGame::ui</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>frontend/src/lib/Main Window/<a class="el" href="hostgame_8h_source.html">hostgame.h</a></li>
<li>frontend/src/lib/Main Window/<a class="el" href="hostgame_8cpp.html">hostgame.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
